Subject: Re: Kernel 2.6.x to MPC8540/Microsys Board

From: Kumar Gala <[email-masked]>
Date: Fri, 14 Jan 2005 09:47:03 -0600

Clemens,

I would to just use 2.6.10 as starting point and get that working.  The 
amount of changes to board code is about 100 lines to go from OCP to 
platform_device.  I should be releasing patches for this upstream today 
and will CC the linuxppc-embedded list, so if you really want them you 
can get them, but I dont think its worth the pain for you.

- kumar

On Jan 14, 2005, at 9:33 AM, Clemens Koller wrote:

> Kumar Gala wrote:
>
> > I would suggest 2.6.10 if you want an official kernel release.  Is 
> this
> > board generally available to people?
>
>  Yes: www.microsys.de miriac Module: PM854 (and some others)
>
> > Be aware there are some infrastrucal changes I'm working on that 
> moves
> > the 85xx sub-arch support from using OCP to platform_device.  
> However,
> > these have minor changes on the board files.
>
> I've read your last mails in this list... therefore I am asking. :-)
>  I just don't want to re-invent the wheel twice. In the pm854 specific
>  things there are also some OCP updates. (Well, I am still reading lots
> of code... newland for me)
>  I try to contact the developer Josef Wagner at Microsys who was 
> working
>  on the 2.4.26-sth.
>
> > I would take a look at how 2.6 is structured for 85xx.  I tried to 
> do a
> > better job and provide more common code for a board port to 
> leverage. 
> > So for something like PCI, you should hopefully just have to setup 
> your
> > memory map and IRQ routing.
>
> I am comparing 2.4.26-sth with 2.6.10 now. The changes are manageable 
> as
> far as I got it. Where can I get the current work from you?!
>
> Greets,
>
> Clemens Koller
> _______________________________
> R&D Imaging Devices
>  Anagramm GmbH
>  Rupert-Mayer-Str. 45/1
>  81379 Muenchen
>  Germany
>
> http://www.anagramm.de
> Phone: +49-89-741518-50
>  Fax: +49-89-741518-19
>  _______________________________________________
> Linuxppc-embedded mailing list
>  [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded